Skip to main content
POST
/
v1
/
manufacturer
/
settings
Submit Manufacturer Settings
curl --request POST \
  --url https://api.nox.energy/v1/manufacturer/settings \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "device_id": "123",
  "dhw": {
    "temperature_upper_bound": 40,
    "temperature_lower_bound": 50
  },
  "optimization_settings": {
    "pv_self_consumption": true,
    "dynamic_tariff": true,
    "flex_trading": false
  },
  "location": {
    "country": "BE"
  }
}
'
{
  "status": "success",
  "message": "Settings updated successfully.",
  "meta": {
    "manufacturer": "Manufacturer A"
  }
}

Authorizations

x-api-key
string
header
required

API Key authentication. Enter your API key in the format: YOUR_API_KEY

Body

application/json

The body is of type Request Body · object.

Response

Successful response

The response is of type Response Submit Manufacturer Settings V1 Manufacturer Settings Post · object.